declare const _default: {
    title: string;
    component: {
        ({ title, onLogin, onSignup, errorMessage, onForgot }: {
            title: string;
            onLogin: (data: any) => void;
            onSignup: () => void;
            onForgot: () => void;
            errorMessage: string;
        }): JSX.Element;
        propTypes: {
            title: import("prop-types").Requireable<string>;
            onLogin: import("prop-types").Requireable<(...args: any[]) => any>;
            onSignup: import("prop-types").Requireable<(...args: any[]) => any>;
            onForgot: import("prop-types").Requireable<(...args: any[]) => any>;
            errorMessage: import("prop-types").Requireable<string>;
        };
        defaultProps: {
            title: string;
            onLogin: undefined;
            onSignup: undefined;
            onForgot: undefined;
            errorMessage: string;
        };
    };
};
export default _default;
export declare const Login: any;
